Bug 253221 - PVFB fails to update when installing 32-bit FC-6 guest in 64-bit host
PVFB fails to update when installing 32-bit FC-6 guest in 64-bit host
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 09:50 EDT by Markus Armbruster
Modified: 2009-12-14 16:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0305
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2007-08-17 09:50:01 EDT
Description of problem:
When I install a 32-bit FC-6 guest in a 64-bit host, the PVFB window fails update.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. /usr/sbin/virt-install --name fc6pv32 --ram 384 --file
/var/lib/xen/images/fc6pv.img --file-size 5 --vnc -p --location
SOME-MIRROR/core/6/i386/os/
2. 
3.
  
Actual results:
The PVFB window comes up, but it doesn't update.  If I terminate virt-install by
closing the window, then start run vncviewer:0, I can see a newer screen, still
not updating.  Same if I restart vncviewer.

Expected results:
The PVFB window opened by virt-install updates.

Additional info:
Comment 1 Markus Armbruster 2007-09-07 10:27:15 EDT
Update notification events do not arrive in the backend.

If I replace the frontend in kernel-2_6_18-1_2798_fc6 by a trivial backport of
the current version, updating works.  

Note that the unchanged kernel talks the old fb protocol, hence uses the
xen-vncfbo backend, while the patched kernel talks the new protocol, hence uses
xen-vncfb.
Comment 2 RHEL Product and Program Management 2007-10-24 12:04:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Markus Armbruster 2007-10-25 14:40:16 EDT
This bug has been fixed in Fedora (xen-3.1.0-5_fc7).  The fix works for RHEL-5
as well.
Comment 5 Daniel Berrange 2008-01-03 16:10:12 EST
Fix built for QA

$ brew latest-pkg dist-5E-qu-candidate xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-43.el5                          dist-5E-qu-candidate  berrange

* Thu Jan  3 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-43.el5
- Update 32-on-64 PVFB compat fix (rhbz #253221)
Comment 8 errata-xmlrpc 2008-05-21 11:19:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0305.html

Note You need to log in before you can comment on or make changes to this bug.